import { defineComponent as m, mergeModels as u, useModel as s, watch as d, createBlock as p, createCommentVNode as c, openBlock as f, unref as a } from "vue";
import { useI18n as b } from "vue-i18n";
import { a8 as V } from "./start-BYfL32Oe.mjs";
import "pinia";
import "vue-router";
import "./header-Droxy2Kd.mjs";
import "./moment-h96o7c8I.mjs";
import { b as l } from "./pim-to-product-relation.json_vue_type_i18n_index_0_src_true_lang-BhKgzD45.mjs";
const C = /* @__PURE__ */ m({
  __name: "PimChannelsConnectionPimToProductRelationsExtension",
  props: /* @__PURE__ */ u({
    attributeMap: {},
    destinationAttribute: {},
    sourceAttributes: {},
    etlAttributeSetMapId: {}
  }, {
    modelValue: {},
    modelModifiers: {}
  }),
  emits: ["update:modelValue"],
  setup(n) {
    const e = s(n, "modelValue"), { t: i } = b();
    return d(
      e,
      (t) => {
        t || (e.value = {});
      },
      { immediate: !0 }
    ), (t, o) => e.value ? (f(), p(a(V), {
      key: 0,
      modelValue: e.value.relateChildVariantsToParent,
      "onUpdate:modelValue": o[0] || (o[0] = (r) => e.value.relateChildVariantsToParent = r),
      label: a(i)("pim-channels-connection.etl.label")
    }, null, 8, ["modelValue", "label"])) : c("", !0);
  }
});
typeof l == "function" && l(C);
export {
  C as default
};
